#{extends 'border.html'/}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <!-- Breadcrumb -->
                <ol class="breadcrumb">
                    <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                    <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                    <li><a href="@{katalog.PermohonanPembaruanCtr.listHasilKlarifikasi(pmb?.id)}">&{'hasil_klarifikasi.label'}</a></li>
                    <li class="active">&{'persetujuan_update_data.label'}</li>
                </ol>
                <!-- End Breadcrumb -->
            </div>
        </div>

        <div class="row">
            <div class="col-md-2">
            #{include 'pl/filter-produk-permohonan-stagging.html'/}
            </div>

            <div class="col-md-10">
                <h4>&{'daftar_produk.label'}</h4>
            #{alert /}
            #{form @katalog.PermohonanPembaruanCtr.submitProdukApprovalPeritems() , method:'POST', id:'formProdukPerm'}
            #{if !model.items.isEmpty()}
                <!-- Toolbar -->
                <div class="toolbar">
                    #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}

                    #{if emptyNotAprr != true }
                        <button type="submit"class="btn btn-warning" ><i class="fa fa-check"></i> &{'setujui_perubahan.label'}</button>
                    #{/if}

                    *{#{if exisApproved == true }}*
                        <a href="#" onclick="openForm()"  class="btn btn-success btn-md"><i class="fa fa-calendar-check-o"></i> &{'selesaikan_persetujuan.label'}</a>
                    *{#{/if}}*
                </div>
                <!-- End Toolbar -->

                <div class="panel panel-default">
                    <input type="hidden" id="pmb" name="pmbid" value="${pmb.id}">
                    <div class="panel-body" style="overflow-x: auto">
                        <!-- Data Table -->
                        <table class="table table-striped" id="produk">
                            <thead>
                            <tr>
                                <th></th>
                                <th class="header-center">&{'nomor.label'}</th>
                                <th>&{'gambar.label'}</th>
                                <th class="header-center">&{'produk.label'}</th>
                                <th class="header-center">&{'nama_penyedia.label'}</th>
                                <th class="header-center">&{'status_produk.label'}</th>
*{                                <th class="column-center">&{'aksi.label'}</th>}*
                            </tr>
                            </thead>
                            <tbody>
                                #{set idx = (paramQuery.page - 1) * 20 /} *{default 20}*
                                #{list model.items, as:"i"}
                                <tr>
                                    <td class="column-center">
                                    #{set varapproved: model.searchFromListStaging(lstPstg, i.id) /}
                                    #{if varapproved == 0 }
                                        <input type="checkbox" name='idProduk' value='${i.id}' class="idProduks"/>
                                    #{/if}
                                    </td>
                                    <td class="column-center"><h5>${idx = idx + 1}.</h5></td>
                                    <td class="column-center"><img src="${i.getImageUrl()}" class="img img-responsive"
                                                                   onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                                    </td>
                                    <td class="column-left"><a href="${i.getDetailCompareUrl(pmb.id)}"
                                                               target="_blank"><b>${i.no_produk}</b><br>${i.no_produk_penyedia}
                                        <br>${i.nama_manufaktur} ${i.nama_produk}</a></td>
                                    <td class="column-left">${i.nama_penyedia}</td>
                                    <td class="column-center">
                                    #{if varapproved == 1}
                                        &{'disetujui.label'}
                                    #{/if}#{elseif varapproved == -1}
                                        &{'ditolak.label'}
                                    #{/elseif}#{else}
                                        &{'minta_persetujuan.label'}
                                    #{/else}


                                    </td>
*{                                    <td class="column-center">}*
*{                                        #{if approved == 0 }}*
*{                                            <button class="btn-primary">Detail</button>}*
*{                                        #{/if}}*
*{                                    </td>}*
                                </tr>
                                #{/list}
                            </tbody>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
                #{pagination model.getPageAble()/}
            #{/if}
            #{else }
                <!-- Toolbar -->
                <div class="toolbar">
                    #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                    *{perlu klarifikasi dulu apakah mesti ada minimal yang disetujui atau tidak}*
                    #{if exisApproved == true || exisApproved == false }
                        <button type="submit"class="btn btn-warning" ><i class="fa fa-check"></i> &{'setujui_perubahan.label'}</button>
                    #{/if}
                </div>
                <!-- End Toolbar -->
                #{ListDefaultMessage type:"Produk"/}
            #{/else}
            #{/form}
            </div>
        </div>
    </div>

    <div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.selesaikanApprovalProdukAtauDistributor(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <b>&{'selesaikan_approval.label'}</b>
                        </div>
                    </div>
                    <input class="form-control permId" value="${pmb.id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#modalTitle').text("&{'persetujuan_update_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        $('#formSetuju').submit();
    }

</script>
#{/set}